Bug 1572751 - [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Display server crashed
Summary: [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Display server crashed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fc3e26d7063c23f968a6922a64c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 17:58 UTC by Mikhail
Modified: 2019-11-27 18:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:59:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.27 KB, text/plain)
2018-04-27 17:58 UTC, Mikhail
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-04-27 17:58 UTC, Mikhail
no flags Details
File: dmesg (125.21 KB, text/plain)
2018-04-27 17:58 UTC, Mikhail
no flags Details
File: dso_list (335 bytes, text/plain)
2018-04-27 17:58 UTC, Mikhail
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (399 bytes, application/octet-stream)
2018-04-27 17:58 UTC, Mikhail
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.92 KB, application/octet-stream)
2018-04-27 17:58 UTC, Mikhail
no flags Details

Description Mikhail 2018-04-27 17:58:25 UTC
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.99.904-2.fc29

Additional info:
reporter:       libreport-2.9.4
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         4.17.0-0.rc1.git3.1.fc29.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13d) [0x58ad2d]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f686539307f]
2: /lib64/libc.so.6 (gsignal+0x10b) [0x7f6864ff8fab]
3: /lib64/libc.so.6 (abort+0x12b) [0x7f6864fe35c1]
4: /lib64/libc.so.6 (__fsetlocking+0x2db) [0x7f686503b9cb]
5: /lib64/libc.so.6 (_IO_str_seekoff+0x9bc) [0x7f686504281c]
6: /lib64/libc.so.6 (_IO_str_seekoff+0x3eb0) [0x7f6865048570]
7: /lib64/libc.so.6 (_IO_str_seekoff+0x4905) [0x7f686504a585]
8: /lib64/libc.so.6 (realloc+0x34b) [0x7f686504704b]
9: /lib64/libpixman-1.so.0 (pixman_image_create_radial_gradient+0x416) [0x7f6867016816]
10: /lib64/libpixman-1.so.0 (pixman_image_create_radial_gradient+0xebd) [0x7f6867017b3d]
11: /lib64/libpixman-1.so.0 (pixman_image_create_radial_gradient+0x135a) [0x7f686701837a]
12: /lib64/libpixman-1.so.0 (pixman_region_subtract+0xa1) [0x7f68670193f1]
13: /usr/bin/Xwayland (miShapedWindowIn+0x9ae) [0x47a75e]
14: /usr/bin/Xwayland (miValidateTree+0x1d7) [0x47a807]
15: /usr/bin/Xwayland (UnmapWindow+0x10a) [0x58118a]
16: /usr/bin/Xwayland (ProcBadRequest+0x797) [0x54f327]
17: /usr/bin/Xwayland (SendErrorToClient+0x35e) [0x554cae]
18: /usr/bin/Xwayland (InitFonts+0x3c6) [0x558cf6]
19: /lib64/libc.so.6 (__libc_start_main+0xeb) [0x7f6864fe51eb]
20: /usr/bin/Xwayland (_start+0x2a) [0x429eca]

Comment 1 Mikhail 2018-04-27 17:58:31 UTC
Created attachment 1427773 [details]
File: backtrace

Comment 2 Mikhail 2018-04-27 17:58:32 UTC
Created attachment 1427774 [details]
File: cpuinfo

Comment 3 Mikhail 2018-04-27 17:58:35 UTC
Created attachment 1427775 [details]
File: dmesg

Comment 4 Mikhail 2018-04-27 17:58:37 UTC
Created attachment 1427776 [details]
File: dso_list

Comment 5 Mikhail 2018-04-27 17:58:38 UTC
Created attachment 1427777 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 Mikhail 2018-04-27 17:58:40 UTC
Created attachment 1427778 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 7 Jan Kurik 2018-08-14 10:04:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 8 Ben Cotton 2019-10-31 20:54:25 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 18:59:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.